Index: extensions/gally/gally-cuise/js/crossbrowser.js
===================================================================
--- extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7194)
+++ extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7459)
@@ -722,881 +143,500 @@
                  new_color = translateColor(el.style.color);
                  el.style.color = new_color;
-                  transform(el);
                  break;
-             case 'style.width':
-
-                 //el.style.width = el.attributes.width.nodeValue + 'px';
+             case 'width':
+
+                 el.style.width = el.attributes.width.nodeValue + 'px';
                  // In IE8 this does not trigger onresize. 
-              //   el.firstChild.style.width = el.clientWidth + 'px';
-              if (el.vml)     el.vml.style.width = el.clientWidth  + 'px';
+                 el.firstChild.style.width = el.clientWidth + 'px';
                  break;
-             case 'style.height':
-
-                 //el.style.height = el.attributes.height.nodeValue + 'px';
-              //   el.firstChild.style.height = el.clientHeight + 'px';
-                if (el.vml)   el.vml.style.height = el.clientHeight   + 'px';
+             case 'height':
+
+                 el.style.height = el.attributes.height.nodeValue + 'px';
+                 el.firstChild.style.height = el.clientHeight + 'px';
                  break;
          }
-}
-
-//===============================================================================
-function Set_Path(r,_Width,_Height)
-{
-   Path="";
-   radius=parseInt(r.r) ;
-   CoordOrigin="0 0";
-    switch (r.type)
-    {
-        case "oval":
-             typeelement="oval";
-             var CoordSize="";
-
-
-
-        break ;
-
-        case "shape":
-             typeelement="shape";
-             CoordSize= _Width+","+_Height;
-
-            TL =parseInt(r.top_left )    ; 
-            TR =parseInt (r.top_right  )  ; 
-            BR = parseInt (r.bottom_right )   ; 
-            BL = parseInt (r.bottom_left )   ; 
-
-            var shape_Origine ={ x: _Width - TR, y:0} ;
-
-            var TR_  ={ x: _Width , y : 0 + TR} ;
-            var L1 ={ x: _Width , y:_Height-BR} ;
-            var BR_ ={ x: _Width - BR, y:_Height} ;
-            var L2 ={ x:BL, y:_Height} ;
-            var BL_ ={ x:0 , y:_Height-BL} ;
-            var L3 ={ x:0 , y:TL} ;
-            var TL_ ={ x:TL, y:0} ;
-            var L4 ={ x: _Width - TR, y:0} ;
-
-             Path=" m "+ shape_Origine.x +","+  shape_Origine.y + 
-            " qx " + TR_.x + "," + TR_.y +
-            " l  " + L1.x + "," + L1.y +
-            " qy " + BR_.x + "," + BR_.y +
-            " l " + L2.x + "," + L2.y +
-            " qx "+ BL_.x + "," + BL_.y +
-            " l " + L3.x + "," + L3.y +
-            " qy "+ TL_.x + "," + TL_.y +
-            " l " + L4.x + "," + L4.y +
-            " x e";   
- 
-        break;
-        case "star":
-            typeelement="shape";
-             CoordSize=_Width/radius + "," + _Height/radius ; //zoom
-             shape_Origine ={ x:8 , y:65} ;
-            CoordOrigin="10 20";
-            Path="m "+shape_Origine.x+","+shape_Origine.y+" l 72,"+shape_Origine.y+",92,11,112,"+shape_Origine.y+",174,"+shape_Origine.y+",122,100,142,155,92,121,42,155,60,100 x e";
-         break;
-
-        default: 
-            typeelement="rect";
-            CoordSize= _Width+","+_Height;
-            shape_Origine ={ x:0 , y:0} ;
-
-             L1 ={ x:0      , y:_Height } ;
-             L2 ={ x:_Width , y:_Height} ;
-             L3 ={ x:_Width  , y:0 } ;
-             Path=" m "+ shape_Origine.x +","+  shape_Origine.y + 
-            " l  " + L1.x + "," + L1.y + ","+
-             L2.x + "," + L2.y + ","+
-             L3.x + "," + L3.y +           
-            " x e";   
-           break;
-
-    }
-    return { Path:Path,typeelement:typeelement,CoordSize:CoordSize, CoordOrigin: CoordOrigin}
-}
- 
-
+     }
+//==================================================
+function findSize(obj) {
+         var cur_height = obj.offsetHeight;
+         var cur_width = obj.offsetWidth;
+
+      
+
+         return ({
+             'x': cur_width,
+             'y': cur_height
+         });
+     }
+//==================================================
+function roundWebkit(e, s) {
+    var radius = '' + s.sizex + 'px ' + s.sizey + 'px';
+    var $e = jQuery(e);
+    if (s.tl) $e.css('WebkitBorderTopLeftRadius', radius);
+    if (s.tr) $e.css('WebkitBorderTopRightRadius', radius);
+    if (s.bl) $e.css('WebkitBorderBottomLeftRadius', radius);
+    if (s.br) $e.css('WebkitBorderBottomRightRadius', radius);
+  }
+//==================================================  
+  function roundMozilla(e, s)
+  {  
+    var radius = '' + s.sizex + 'px';
+    var $e = jQuery(e);
+    if (s.tl) $e.css('-moz-border-radius-topleft', radius);
+    if (s.tr) $e.css('-moz-border-radius-topright', radius);
+    if (s.bl) $e.css('-moz-border-radius-bottomleft', radius);
+    if (s.br) $e.css('-moz-border-radius-bottomright', radius);  
+  }
 //=================================================================
+     var rect_init;
+     var css_init;
+     var fill_init;
+     //==============================================================
+
+     // precompute "00" to "FF" 
+    var decToHex = [];
+    var alpha = 1;
+    var      init_x = 0;
+    var init_y = 0;
+    var  init_x0 =0;
+    var  init_y0 = 0;
+//==============================================================
 function oncontentready(Obj) {
-	
-var reg=new RegExp('wrap', "gi");
-  if (reg.test(Obj.className)) { return ;} 
-  reg=new RegExp(Prefix, "gi");
-  if (reg.test(Obj.className)) { return ;} 
-  //======== test si classe existe =============================
-  classID= Obj.uniqueID;
-  Nom_classe =  Prefix + "_" + classID ;
-  reg=new RegExp(Nom_classe, "gi");
-  if (!reg.test(Obj.className)) { 
-        if(document.namespaces.length==0) 
-        addNamespacesAndStylesheet(document,classID);
-
-         if ( !document.namespaces[Nom_classe]) {
-          //document.namespaces.add("v"+classID, "urn:schemas-microsoft-com:vml"); 
-            addNamespacesAndStylesheet(document,classID);
+         //======== test si classe existe =============================
+         classID= Obj.uniqueID;
+         if (Obj.className.match(classID)) { return (false); }
+         if (!document.namespaces.v+classID) { document.namespaces.add("v"+classID, "urn:schemas-microsoft-com:vml"); }
+         Obj.className = Obj.className.concat(' ', classID);
+         // Find which element provides position:relative for the target element (default to BODY) 
+ 
+        pos=jQuery(Obj).findPos();
+        Left=pos.x;
+        Top=pos.y;
+        pos_src=jQuery(Obj.parentElement).findPos();
+
+    var limit = 100, i = 0;
+    var el = Obj; //(this)  
+           style= el.currentStyle ;
+         zindex = 3;
+         var El_src = el.element;
+
+         while ((typeof (El_src) != 'undefined') && (El_src.currentStyle.position != 'relative') && (El_src.tagName != 'BODY')) {
+             El_src = El_src.parentElement;
+             
+             if (El_src.style.zIndex> zindex) zindex++;
+             i++;
+             if (i >= limit) { return (false); }
+         }
+        
+
+         var el_zindex = parseInt(el.currentStyle.zIndex);
+         if (isNaN(el_zindex)) { el_zindex = 3; }
+         var m = el.children;
+         for (i = 0; i < m.length; i++) {
+             echild = m.item(i);
+            echild.style.zIndex = el_zindex + 1  ;
+         }
+
+          Obj.style.zIndex = el_zindex+3 ;
+      
+
+         //=============================================================================	
+
+   
+         switch(Obj.currentStyle.borderWidth)
+         {
+         case 'solid':
+            break;
+         default:
+         strokeWeight=parseInt(Obj.currentStyle.borderWidth);
+             break;
+         }
+            
+         switch(Obj.currentStyle.borderStyle)
+         {
+         case 'solid':
+         strokeStyle=Obj.currentStyle.borderStyle;
+            break;
+        case 'double':
+        strokeStyle=Obj.currentStyle.borderStyle;
+            break;
+
+         default:
+         strokeStyle=Obj.currentStyle.borderStyle;
+
+             break;
+         }
+
+         if (isNaN(strokeWeight)) {
+             strokeWeight = 0;
+             
+         } 
+         stroked =( strokeWeight> 0);
+          
+
+         //================================================================================
+         for (var i = 0; i < 16; i++) {
+             for (var j = 0; j < 16; j++) {
+                 decToHex[i * 16 + j] = i.toString(16) + j.toString(16);
+             }
+         }
+         //==================================
+         var fillColor = translateColor(Obj.currentStyle.backgroundColor);
+         var strokeColor =  translateColor(Obj.currentStyle.borderColor);
+ 
+
+         width=jQuery(Obj).width();
+         height=jQuery(Obj).height();
+              Width=(width+strokeWeight );
+     Height=(height+strokeWeight);
+
+         Left=parseInt(jQuery(Obj).css("left"));
+         if (isNaN(Left)) Left=0 ;
+         Top=parseInt(jQuery(Obj).css("top"));
+           if (isNaN(Top)) Top=0 ;
+   //=================================================================
+           s = Obj.currentStyle;
+
+         if (typeof s.transform != "undefined") {
+             rotation = s['transform'];
+             var angle1 = s.transform.split("rotate(");
+             angle1 = angle1[1].split("deg)");
+             angle = angle1[0];
+         }
+         //=================================================================
+
+
+         var VgFillType = new Array("solid", "gradient", "gradientradial", "tile", "pattern", "frame");
+         var VgFillmethod = new Array("none", "linear", "sigma", "any");
+         var VgFillaspect = new Array("atless", "atmost")
+
+
+         alpha = Obj.currentStyle['opacity'] || 1;
+
+
+         var fillSrc = Obj.currentStyle.backgroundImage.replace(/^url\("(.+)"\)$/, '$1');
+
+         if (fillSrc) var filltype = (Obj.currentStyle['type']) || "tile";
+         else var filltype = (Obj.currentStyle['type']) || "gradientRadial";
+  /*
+         var fillopacity = alpha;
+       
+         var fillmethod = "none";
+         var fillfocus = "100%";
+
+         var fillcolor2 = "#00FF00";
+         var fillcolors = "0,#ff0000, 0.5#00ff00, 0.6 #0000ff, 0.8 #ff0000, 0.9 #ff0000";
+
+         var fillopacity2 = "1.0";
+         var fillangle = "0";
+         var fillfocusposition = "0.5,0.5";
+         */
+       
+
+         //==================================================================================	
+         radius = s['-moz-border-radius'];
+
+
+         if (typeof radius == "undefined") { radius = "0" }
+         if (typeof radius == undefined) { radius = "" }
+		 
+         if (radius.match("\/")) {
+             //=============================================================
+
+             var tableau = radius.split("/");
+             var rect = document.createElement('v:oval');
+             var typeelement="oval";
+
+         } else {
+                   if (radius.match("\ ")) { 
+          var tableau = radius.split(" "); 
+
           }
-          Obj.className = Obj.className.concat(" " + Nom_classe);
-         // Find which element provides position:relative for the target element (default to BODY) 
-
-
-  }else{
-  return ;
-  }
-
-//=============================================================================	
-Obj_init= Obj;
-//jQuery(Obj).wrap("<div class='wrap' id='wrap_" + Obj.id + "' style='position:"+Obj.currentStyle.position+";margin:auto'></div>");
-Init_fig= Obj.id ;
-//cssText=Obj.style.cssText.split(";");
-
-//Obj.style.position="static";
-s = Obj.currentStyle;
-if (!s) return ;
-    strokeWeight = Get_stokeWeight(s.borderWidth);
-    strokeStyle  = Get_style(s.borderStyle);
-    strokeColor  = Get_Color(s.borderColor);
-
-
-    angle        = Get_angle(Obj);
-    r            = Get_radius(Obj);
-    radius=parseInt(r.r);
-    top_left = parseInt(r.top_left) ;
-    top_right = parseInt(r.top_right);
-    bottom_right = parseInt(r.bottom_right);
-    bottom_left =  parseInt(r.bottom_left);    
-    alpha = s.opacity || 1;
-
-  Dimension[Obj.id] =  jQuery(Obj).findPos(); //
-
-init = false;
-
-/*=============================================================================*/ 
-Fill_Src = "";
-
-    Fill_Color = translateColor(s.backgroundColor);
-    Fill_Color = (Fill_Color=="transparent") ? "none" : Fill_Color ;
-    if (Obj.tagName=="IMG")
-    {
-           Fill_Src = Obj.src.replace(/^url\("(.+)"\)$/, '$1');;
-           Fill_Type="frame" ;
-    }else{
-            Fill_Src =s.backgroundImage.replace(/^url\("(.+)"\)$/, '$1');
-
-            if (Fill_Src)  Fill_Type= (s['type']) || "tile";
-            else   Fill_Type = (s['type']) || "solid";
-    }
-//==============================================
-    box_shadow = s['boxShadow'] || false ;
-    text_shadow =s['textShadow'] || false ;
-    S = Obj.innerHTML;
-    texte=S ;
- 
- reg=new RegExp('<img', "gi");
-
-if (Fill_Src=="none") 
- if (reg.test(texte)) {
-  
-	var children = Obj.children ; 
-	var images = new Array(); 
-    var i = 0;
-	var child;
-    var j = 0;
-
-	for (i=0;i<children.length;i++) {
-		child = children[i];
-        reg=new RegExp('img', "gi");
-		if ( reg.test(child.tagName))
-			{
-                Fill_W  =  child.width  ;
-                Fill_H  =  child.height;
-                id_img=Obj.id+"_img";
-  
-                Fill_Src=child.src;
- 
-                Obj.style.backgroundImage='url(' +Fill_Src+')';
-                Obj.style.backgroundRepeat= 'repeat';
-                Obj.style.backgroundPosition= child.currentStyle.left;
-
-                Obj.removeChild(child);
-
-
-                jQuery(Obj).width(Fill_W );
-                jQuery(Obj).height(Fill_H );
-                s = Obj.currentStyle;
-                break;
-         } 
-
-    } 
-}
-       if (Obj.tagName=="IMG")
-       {
-
+
+  var tableau = radius.split(" ");  
+      tableau = radius + " " + radius + " " +tableau[0] +" " + tableau[0] + " " + tableau[0];   
+      tableau = tableau.split(" ");  
+      top_left = parseInt(s['-moz-border-top-left-radius']||tableau[0]) ;
+      top_right =  parseInt(s['-moz-border-top-right-radius']||tableau[1]);
+      bottom_right =  parseInt(s['-moz-border-radius-radius']||tableau[2]);
+      bottom_left =  parseInt(s['-moz-border-bottom-left-radius']||tableau[3]);       
+
+
+     radius=tableau[0];
+//=============================================================
+if (parseInt(radius) != "0") {
+    if (top_left!=top_right) {
+          var typeelement="shape";
+          var rect = document.createElement('v'+classID+':shape');      
+
+       with(rect){
+            fillColor = 'none'; 
+            fillStroked = 'true';
+             //   coordsize  = "100 , 100";
+             //    coordSize  = "100 , 100";
+               }
+      
+        rect.setAttribute("coordSize",Width + "," + Height); //mode7
+ TL =top_left ;
+ TR = top_right  ;
+ BR = bottom_right ;
+ BL =bottom_left ;
+
+
+
+ var Origine ={ x: Width - TR, y:0} ;
+ var TR_  ={ x: Width , y : 0 + TR} ;
+ var L1 ={ x: Width , y:Height-BR} ;
+ var BR_ ={ x: Width - BR, y:Height} ;
+ var L2 ={ x:BL, y:Height} ;
+ var BL_ ={ x:0 , y:Height-BL} ;
+ var L3 ={ x:0 , y:TL} ;
+ var TL_ ={ x:TL, y:0} ;
+ var L4 ={ x: Width - TR, y:0} ;
+
+ var path=" m "+ Origine.x +","+ Origine.y + 
+        " qx " + TR_.x + "," + TR_.y +
+        " l  " + L1.x + "," + L1.y +
+        " qy " + BR_.x + "," + BR_.y +
+        " l " + L2.x + "," + L2.y +
+        " qx "+ BL_.x + "," + BL_.y +
+        " l " + L3.x + "," + L3.y +
+        " qy "+ TL_.x + "," + TL_.y +
+        " l " + L4.x + "," + L4.y +
+        " x e";
+    rect.path=path ;
+
+ 
+    }	else {        
+        var typeelement="roundrect";
+        var rect = document.createElement('v'+classID+':roundrect');
+        var arcSize = Math.min(parseInt(radius) / Math.min(Obj.offsetWidth, Obj.offsetHeight), 1);     
+        rect.arcsize = arcSize + 'px';
+	}
+  } else {
+                 var rect = document.createElement('v'+classID+':rect');
+                 var typeelement="rect";
+             }
+
+         }
+
+
+         /*===================================================================================*/
+         var text_shadow = Obj.currentStyle['text-shadow'];
+
+         var box_shadow = Obj.currentStyle['-moz-box-shadow'] ||
+	           Obj.currentStyle['box-shadow'] ||
+	           Obj.currentStyle['-webkit-box-shadow'] ||
+	           Obj.currentStyle['-khtml-box-shadow'];
+
+
+
+         if (text_shadow || box_shadow) {
+             if (text_shadow) {
+                 var sizeShadow = text_shadow.split(" ");
+                 aff_filter(Obj, sizeShadow);
+
+             }
+
+
+             if (box_shadow) {
+                 var sizeShadow = box_shadow.split(" ");
+                 aff_filter(rect, sizeShadow)
+             }
+
+         }
+         /*===================================================================================*/
+
+         var fill = document.createElement('v'+classID+':fill');
+
+         fill.src = fillSrc;
+         fill.color = fillColor;
+         fill.type = filltype;
+     
+
+/*
+         var fillopacity = alpha;
+if(fillopacity)      fill.opacity = fillopacity;
+
+         var fillmethod = "none";
+if (fillmethod) fill.method = fillmethod;
+
+         var fillfocus = "100%";
+         var fillcolor2 = "#00FF00";
+         var fillcolors = "0,#ff0000, 0.5#00ff00, 0.6 #0000ff, 0.8 #ff0000, 0.9 #ff0000";
+            if (fillfocus) fill.focus = fillfocus;
+            if (fillcolor2) fill.color2 = fillcolor2;
+            if (fillcolors) fill.colors = fillcolors;
+
+         var fillopacity2 = "1.0";
+         var fillangle = "0";
+         var fillfocusposition = "0.5,0.5";
+            if (fillopacity2) fill.opacity2 = fillopacity2;
+            if (fillangle) fill.angle = fillangle;
+            if (fillfocusposition) fill.focusposition = fillfocusposition;
+
+*/
+              jQuery(rect).width(Width  );
+              jQuery(rect).height(Height );
+                
+         rect.appendChild(fill);
+//================================================================
+         with(rect.style){
+                left=Left+(0.5*strokeWeight);
+                top=Top+(0.5*strokeWeight);
+                position="absolute"
+                display = 'block';
+                antialias = true;
+                zindex = el_zindex+3;
+
+             }
+//<v:stroke on="True" filltype="solid"
+ //   color="#9094C9" weight="8pt" /> 
+//   filltype="pattern" src="rond.gif" /> 
+
+if (stroked) {
+                    rect.strokecolor = strokeColor;
+                    rect.strokeWeight = strokeWeight + 'px';
+                    rect.stroked = stroked;
+   }
+        //================================================================
+document.body.appendChild(rect);
+  var css =  document.createStyleSheet();  
+  var styleSheet = (document.styleSheets.length > 0) ? document.styleSheets[0] :  document.createStyleSheet();
+        //  css = styleSheet;
+//if (stroked)  css.addRule('v'+classID+"\\:stroke" , "behavior: url(#default#VML)");
+         css.addRule('v'+classID+"\\:"+typeelement, "behavior: url(#default#VML)");
+         css.addRule('v'+classID+"\\:fill", "behavior: url(#default#VML)");
+       //  css.addRule("v\\:*", "behavior: url(#default#VML)");
+         //=================================================================	
+    
        
-       }else{
-         Fill_Src =s.backgroundImage.replace(/^url\("(.+)"\)$/, '$1');
-            if (Fill_Src)  Fill_Type= (s['type']) || "tile";
-                    else   Fill_Type = (s['type']) || "solid";
-       }
-        S = Obj.innerHTML;
-        texte=S ;
-          var argShadow = jQuery( Obj).getVariables(box_shadow);
-            argShadow.gradientType= -1;
-            argShadow.boxShadow= (argShadow.offset_h !=0) || (argShadow.offset_v !=0) ;
-            argShadow.texteShadow=false;
-            argShadow.texteRotation=false;
-            argShadow.boxRotation= (argShadow.deg !=angle) ;
-            argShadow.deg=angle;
-          //  argShadow.offset_h +=200;
-
-   
-          if (/import/.test(Obj.outerHTML)) return ;
-
-
-       vmls = jQuery(Obj).aff_path(Obj,s,r) ;
-      // Obj.innerHTML ="";
- 
-            if (Obj.tagName=="IMG")
-       {
-       var image=Obj ;
- object = image.parentNode; 
-
-      var vml = document.createElement(['<div style="overflow:hidden;display:' + 'block' +
- ';width:' + Fill_W + 'px;height:' + Fill_H + 'px;padding:0;">'].join(''));
-
- 	//vml.innerHTML = start + soft + head + fill + shadow + foot + right + bottom + top + left + lt + end;
-  	vml.innerHTML = vmls.Shape ;
-     //   if (vmls.Shape)    Obj.innerHTML +=vmls.Shape;
-
-
-		//vml.className = newClasses;
-        vml.id="Clone";
-		vml.style.cssText = image.style.cssText;
-		vml.style.height = image.height+'px';
-		vml.style.width = image.width+'px';
-		vml.height = image.height;
-		vml.width = image.width;
-		vml.src = image.src; 
-        vml.alt = image.alt;
-      
-
-             daynight="n";
-
-          var html = vmls.Shape ;
-          html +=  '<div  class="' + daynight + '"';
-        var img_src = "http://l.yimg.com/a/i/us/nws/weather/gr/" + 10 + daynight + ".png";
-
-        html += '>';
-        html += '<img src=' + img_src + ' />';
-        html += '<span class="weatherTemp' + daynight + '" >Temp: ' + 30 + ' ' + "c" + '</span>';
-
-        html += '</div>';
-       ;
-        $(object).append(html);
-
-//  object.append(vml);
-
-  //   object.removeChild(image);
-
-
- return ;
- }  
-      if (!vmls) return ;
-     //  Obj.innerHTML="";
-     
-    if (vmls.Ombre)  Obj.innerHTML   +=  vmls.Ombre  ;
-
-    if (vmls.Shape)  {    Obj.innerHTML  +=vmls.Shape ; }
-
-   //  if (vmls.Texte)   Obj.innerHTML +=  vmls.Texte ;
-   
-       t1=jQuery("#"+Obj.id+"_Ombre").get(0);
-
-   //  jQuery( Obj).affFiltres( argShadow); 
-  return ;
-
- 	
-  Obj.innerHTML +=vmls.Shape;
-   
- //NewObj=   Create_Obj(Obj);
-            return;  
-              
- if ( NewObj) 
- jQuery(  NewObj).affFiltres( argShadow);
-              return;  
-          
- 
-              jQuery(Obj).aff_path(Obj,s,r) ;
-        
-return ;     
-
-
-/*
-
-
-
-//==============================================
-Obj_Src = jQuery(Obj).get(0);
-Obj_Src.innerHTML = vmls.Shape ; 
-Obj_Src= jQuery('#'+ Init_fig).get(0);
-Init[Init_fig] = jQuery(Obj_Src).position();
-*/
-
-
-  $(Obj_Src).clone().insertBefore(".smallBox").attr("id",Obj.id+"_ombre"); 
- var Ombre= jQuery("#"+Obj.id+"_ombre");
- Ombre.css("left",Dimension[Obj.id].Left+200);
- Ombre.css("top",Dimension[Obj.id].Top);
- Ombre.get(0).innerHTML = vmls.ombre ; 
-
-//==========================================================
-if (text_shadow || box_shadow) {
-  
-
-   return ;
-  // var Ombre= jQuery(Obj).clone(false).insertBefore(Obj).addClass("Ombre").attr("id",Obj.id+"_ombre").get(0);
-jQuery(Obj_Src).insertBefore(Obj_Src).addClass("Ombre").attr("id",Obj.id+"_ombre").get(0);
-    Ombre=jQuery('#'+ Init_fig+"_ombre").get(0);
-    
-  
-   ;
-      Ombre.innerHTML  = vmls.ombre;
-
-  Init[Ombre.id] = jQuery(Ombre).position();
-
-
- if (text_shadow && Obj ) {  
-             nameId="" +  Obj.id  + "_Texte_Ombre";  
-            obj_src=jQuery("#" +  nameId).get(0);
-            if (obj_src)
-                  aff_filter(obj_src, text_shadow, "text-shadow");  
-   
-   }
- 
- 
-  if (box_shadow && Obj) {   
-      Ombre=jQuery("#" +  Obj.id  + "_ombre").get(0);
-      if ( Ombre)
-      {
-         
-
-
-            argShadow = jQuery(Obj).getVariables(box_shadow);
-            argShadow.alpha= alpha || 0.9;
-            argShadow.gradientType= 1;
-            argShadow.startColorStr= '#0000ff';
-            argShadow.endColorStr= '#ffe4e1';
-            argShadow.deg = 0  ;
-
-       jQuery(Obj).affFiltres( argShadow); //  aff_filter(obj_src,box_shadow, "box-shadow");  
-         }
-  
-  }
-
-}  
-init=false ;
-
-texte_ombre=jQuery("#"+Init_fig+"_Texte" ).get(0);
- 
-
-if (mode==8)
-{ 
- // transform(texte_ombre);
- }else{
- angle_1=angle;
- angle=0;
-// transform(texte_ombre);
-  angle=angle_1;
- }
-init=false ;
- Vml=jQuery("#Vml_"+Init_fig ).get(0);
-// transform(Vml);
-
-//================================================================================
-/*
- Obj=jQuery("#"+Init_fig).get(0);
- Set_opacity(Obj);
-  Ombre=jQuery("#"+Init_fig+"_Ombre" ).get(0);
-  texte_ombre=jQuery("#"+Init_fig+"_Texte" ).get(0);
-  if (mode==8)
-  {
- 
-   transform(  texte_ombre);
-   }
-  transform(Ombre);
- transform(Vml);
-
-  
-   transform(Obj_init); 
-   
-
-   jQuery(Obj_init).css("borderWidth",2);
-   
-     */
-//==========================================================================
+
+          Obj.style.background =    'transparent';
+          Obj.style.borderColor = 'transparent';
+
          isIE6 = /msie|MSIE 6/.test(navigator.userAgent);
          // IE6 doesn't support transparent borders, use padding to offset original element
-         if (isIE6 && (strokeWeight.Top > 0)) {
+         if (isIE6 && (strokeWeight > 0)) {
              Obj.style.borderStyle = 'none';
-             Obj.style.paddingTop = parseInt(Obj.currentStyle.paddingTop || 0) + strokeWeight.Top;
-             Obj.style.paddingBottom = parseInt(Obj.currentStyle.paddingBottom || 0) + strokeWeight.Bottom;
-         }
-//======================================================================================
- if (typeof (window.rounded_elements) == 'undefined') {
-      window.rounded_elements = new Array();
-      if (typeof (window.onresize) == 'function') { window.previous_onresize = window.onresize; }
-        window.onresize = window_resize;
-
- }
- 
-        if (typeof Vml!="undefined" ) {
-           window.rounded_elements.push(Vml);
-           Vml.attachEvent('onpropertychange', onPropertyChange);
-        }
-        if (Obj) {
-                window.rounded_elements.push(Obj);
-                Obj.attachEvent('onpropertychange', onPropertyChange);
-                }
-}
-//==================================================================
-function onResize(obj) {
-//transform(obj);
+             Obj.style.paddingTop = parseInt(Obj.currentStyle.paddingTop || 0) + strokeWeight;
+             Obj.style.paddingBottom = parseInt(Obj.currentStyle.paddingBottom || 0) + strokeWeight;
+         }
+
+
+   init_x = Left;
+   init_y = Top;
+   init_x0 = Left;
+   init_y0 = Top;
+
+        init_x  =parseInt(init_x)+strokeWeight;
+        init_y = parseInt(init_y)+strokeWeight;
+
+        init_x0  =parseInt(init_x);
+        init_y0 = parseInt(init_y);
+
+         Obj.vml = rect;
+
+//===============================================================================================
+         if (typeof (window.rounded_elements) == 'undefined') {
+             window.rounded_elements = new Array();
+
+             if (typeof (window.onresize) == 'function') { window.previous_onresize = window.onresize; }
+             window.onresize = window_resize;
+         }
+         window.rounded_elements[i]
+         window.rounded_elements.push(Obj);
+
+        // Resize(Obj.element);
+         obj = Obj;
+         init = false;
+    transform(obj)
+
+         Obj.attachEvent('onpropertychange', onPropertyChange);
+     }
+     //=====================================================================================
+     var Curwidth = 0;
+     var Curheight = 0;
+
+     function Resize(obj) {
      return ;
-}
-//==================================================================
-function Resize(obj) {
-	
-//transform(obj);
-//jQuery(obj).width("100%");
-		Window.width = jQuery(window).width();
-		Window.height =  jQuery(window).height();
-
-          winit=jQuery(obj).width(); //  valeur interieur (auto,"",%)
-          hinit=jQuery(obj).height(); //  valeur interieur
-          if (winit==0) jQuery(obj).width(Window.width);
-          if (hinit==0) jQuery(obj).width(Window.height);
-     return ;
-}
-//==================================================================================
-function window_resize() {
-   if (typeof (window.rounded_elements) == 'undefined') { return (false); }
-   // return ;
-   //  rotate(0, true)
-   Curwidth = 0;
-   for (var i in window.rounded_elements) {
+
+         var h0 = 0;
+         var strokeWeight = parseInt(obj.currentStyle.borderWidth);
+         if (isNaN(strokeWeight)) { strokeWeight = 0; }
+
+
+         Size = findSize(obj);
+         //	obj.style.backgroundColor="green";
+
+         pos = findPos(obj);
+         var parent_pos = findPos(obj.vml.parentNode);
+         //var position = $(obj).position();
+         pos.y = pos.y + (0.5 * strokeWeight) - parent_pos.y;
+         pos.x = pos.x + (0.5 * strokeWeight) - parent_pos.x;
+         objvml = obj.vml;
+         objvml.style.top = pos.y + 'px';
+         objvml.style.left = pos.x + 'px';
+
+         //===================================================
+         if (Curwidth == 0) {
+             OldWidth =  objvml.offsetWidth;
+
+             OldHeight = objvml.offsetHeight;
+             Curwidth = obj.offsetWidth - strokeWeight;
+             Curheight =   obj.offsetHeight - strokeWeight;
+ 
+         }
+
+         objvml.style.width= Curwidth ;
+         objvml.style.height=Curheight ;
+
+     }
+     //==================================================================================
+     function window_resize() {
+         if (typeof (window.rounded_elements) == 'undefined') { return (false); }
+         if (typeof (handle) == 'undefined') { return (false); }
+         old_handle = handle;
+         old_angle = nangle;
+         rotate(0, true)
+         Curwidth = 0;
+         for (var i in window.rounded_elements) {
              Resize(window.rounded_elements[i]);
-      }
-   if (typeof (window.previous_onresize) == 'function') { window.previous_onresize(); }
-    return ;
-}
-	 
-//=======================================================================================
-function aff_filter(Obj, size_Shadow,type_element) {
-     if (!Obj) return ;
-    
-        argShadow=jQuery(Obj).getVariables(size_Shadow);
-        Blur =   argShadow.flou ;
-        ShadowColor =argShadow.couleur;
-        Horizontal = argShadow.offset_h  ;
-        Vertical =  argShadow.offset_v  ;
-
-       if ( Vertical==0) Vertical=1;
-        direction =  180 - Math.atan(Horizontal  / Vertical ) * 180 / Math.PI ;
-        Strength = parseInt(Blur);
-         
-        Obj_src=jQuery(Obj).get(0);
-
- init=false ;
-      
-
-if (type_element=="text-shadow")  {
-
-if (mode==8){ 
-Obj_src.style.position="absolute";
-transform(Obj_src);    
-
-
-}
-
-Obj_src.style.color=  ShadowColor  ;
-}else {
-  transform(Obj_src);   
-}
-    name= Obj.tagName+ " " + Obj.id;
-    filtres=Obj_src.style.filter;
-
-//======================================================================================
-  sProperties =   "color="+ ShadowColor +", Direction="+direction+",Strength="+Strength/2 +" "  ;
- if (!filtres.match("progid:DXImageTransform.Microsoft.Glow")) 
-  filtres +=" progid:DXImageTransform.Microsoft.Glow("+sProperties+")" ; /**/
- //====================================================================================== 
-
-  sProperties ="pixelradius="+Strength/2+" ,MakeShadow:"+'false'+",ShadowOpacity:"+'0.5' +"";
- if (!filtres.match("progid:DXImageTransform.Microsoft.Blur")) 
-      filtres += "  progid:DXImageTransform.Microsoft.Blur("+sProperties+") ";
-
- 
- 
-//============================================================
- Obj_src.style.filter=filtres ;
-
- return Obj_src;
-}
-//====================================================================================
-function Extract_Value(String,Start_Match,End_Match){
-	
-   var reg=new RegExp(Start_Match  , "gi");
- var  string = String.toLowerCase() ;
-
-    if( reg.test(string)){
-        string=string.split(Start_Match);
-        string=string[1].split(End_Match)[0];
-        return Start_Match + string + End_Match ;
-    }
-     return String;
-}
-//====================================================================================
-function Sup_Bloc(String,Start_Match,End_Mach)
-{
-var n1=String;
- var string=n1.toLowerCase();
- var startmatch=Start_Match.toLowerCase();
- var endmatch=End_Mach.toLowerCase();
-
- while (p1 = string.indexOf(startmatch,0) >= 0 )
-                 {
-                   p1=string.indexOf(startmatch,0);
-                   p2=string.indexOf(endmatch,p1);
-                   p3=string.substring(p1,p2+endmatch.length);
-                   string=string.replace(p3,"");
-
-                   p3=n1.substring(p1,p2+endmatch.length);
-                   n1=n1.replace(p3,"");
-
-                }
-                n1=n1.replace("; ",";");
-                 n1=n1.replace("/t","");
-                n1=removeExtraSpace(n1) ;
-
-return n1;
-
-}
-
-
-//====================================================================================
-function Remplace_Value(String,Match,remplace){
-	
-
-if (typeof String!="string") csstext = String.style.cssText ;
- else csstext = String ;
-
-//  HEIGHT: 50px; COLOR: red; text-shadow: blue 20px 20px 18px
-temp="";
-
-// removeExtraSpace
-csstext=removeExtraSpace( csstext);
-csstext = csstext.toLowerCase();
-reg=new RegExp(Match , "gi");
-string=csstext.split(Match);
-if (string.length>1 ) {
-    if (remplace) {
-        temp=string[1]+";" ;
-        string=temp.split(";");
-        string=Match+string[0];
-        temp=csstext.replace(string,remplace+" " );
-        }else{
-        temp=string.join(" ");
-
-        }
-   
-}else{
-  if (remplace)  temp = remplace + "; " + csstext;
-  else temp=  csstext;
-}
-
- temp=removeExtraSpace(temp.replace(";;",";"));
-
-return temp;
-}
-//====================================================================================
-function Get_Value(String,Start_Match, Sep_Match,End_Mach){
-	
-
-if (typeof String!="string") csstext = String.style.cssText  
-else csstext = String  
-//  HEIGHT: 50px; COLOR: red; text-shadow: blue 20px 20px 18px
-
-var reg=new RegExp('"'  , "g");
-csstext=csstext.replace(reg,'') ;
-string=csstext.split(Start_Match + Sep_Match);
-
-reg=new RegExp(  End_Mach , "gi");
-
-ends=End_Mach.split('');
-string=string[1] ;
-valeur = "";
-for (t0 in ends)
-{
-reg = new RegExp(ends[t0] , "gi");
-    if (reg.test(string) ) {
-     valeur = string.split(ends[t0])[0];
-    break;
-    }
-}
-
- 
-
-return  removeExtraSpace( valeur +" "); ;
-}
-//====================================================================================
-function getClassValue(Obj,string){
-	
-	var temp = ""; var pos = string.length;
-      id=jQuery(Obj).attr("id") ; 
-
-    if (!jQuery("#"+id).hasClass) return ;
-       var reg = new RegExp(id+"({)", "g");
-    	temp=classes[id];
-     	temp=classes["."+id];
-      	temp=classes["#"+id];
-       
-	for (var j=0;j<classes.length;j++) {
-        p1=classes[j].indexOf(id );
-        if (classes[j].match(reg) ) {
-		   if (classes[j].indexOf(string)!= 0) {
-     
-			temp = classes[j].split("{");
-            temp[1]=temp[1].replace("}","");
-          
-			break;  
-            }
-		   } 
-		}
-    
-	return temp;
-}
-
-function getClassAttribute(classes,string){
-	
-	var temp = 0; var pos = string.length;
-	for (var j=0;j<classes.length;j++) {
-		if (classes[j].indexOf(string) == 0) {
-			temp = 1; break;
-		}
-	}
-	return temp;
-}
-//========================================
-function Add_Obj(Obj)
-{
-
-vmls = jQuery(Obj).aff_path(Obj,s,r) ;	 
-
-
-	var vml;  var div; var pos; var i; var classes = '';
-	var display = ""; var flt = null; var width = null; var height = null;
-	var start, head, soft, shadow, fill, foot, end;
-	var left, top, bottom, right, lt, br, linear, inset;
-	 
-    i=0;
-   // Nom_classe =  Prefix + "_" + classID ;
-		image = Obj;
-		 object = Obj.parentNode; 
-
-         width =  Dimension[Obj.id].Width;
-         height = Dimension[Obj.id].Height;
-         Left=Dimension[Obj.id].Left;
-         Top=Dimension[Obj.id].Top;
-  //--------------------------------------------------------------------------
-display = (Obj.currentStyle.display.toLowerCase()=='block')?'block':'inline-block';
-vml = document.createElement('<div id="'+ Obj.id +'" '+
-' style="overflow:hidden' + 
-'; position:absolute'+
-'; zoom:1'+
-'; zIndex:1'+
-'; left:'+Left+'px'+
-'; top:'+Top+'px'+
- '; display:' + display +
- '; width:' + width + 'px' +
- '; height:' + height + 'px'+
- '; border:1px solid blue'+
- '; padding:0;">' 
- );
-  
-
-if (/import/.test(Obj.outerHTML)) {
-
-
-}else
-	try{	
-    //vml.className = newClasses;
-	/*	vml.style.cssText = Obj.style.cssText;
-		vml.style.height = height+'px';
-		vml.style.width = width+'px';
-*/
-	
-   
-
-
-        }catch(_){
-        
-        }
-
-
-Obj.innerHTML=vmls.Shape ; 
-  
-
-var id=Obj.id;
-// object.replaceChild( vml,Obj);
- 
-
-   newObj=jQuery("#"+vml.id ).attr("id",id).get(0);
- 
- return newObj ;
-}
-//***************************************************************************************
-if (0){
-	var theimages = getImages('img');// class name
-	var image; var object; var vml;  var div; var pos; var i;  classes = '';
-	var iradius = null; var ishadow = null; var ishade = null; var inverse = null; 
-	var newClasses = ''; var maxdim = null; var offset = null; var radius = null; 
-	var display = ""; var flt = null; var width = null; var height = null;
-	var start, head, soft, shadow, fill, foot, end;
-	var left, top, bottom, right, lt, br, linear, inset;
-	 
-    i=0;
-
-		image = theimages[i];
-		object = image.parentNode; 
-
-        width = image.width; height = image.height;
-  //--------------------------------------------------------------------------
-display = (image.currentStyle.display.toLowerCase()=='block')?'block':'inline-block';
-vml = document.createElement([
-'<var style="overflow:hidden;display:' + display +
- ';width:' + width + 'px;height:' + height + 'px;padding:0;">'].join(''));
-flt = image.currentStyle.styleFloat.toLowerCase();
-
-display = (flt=='left'||flt=='right')?'inline':display;
-start = '<v:group style="zoom:1;'+
-        ' display:' + display + ';'+
-        ' margin:-1px 0 0 -1px;'+
-        ' padding:0;'+
-        ' position:absolute;'+
-        ' width:' + width + 'px;'+
-        ' height:' + height + 'px;'+
-        ' left:' + 300 + 'px;'+
-        ' top:' + 300 + 'px; '+
-        ' "'+
-        ' coordsize="' + width + ',' + height + '">';
-
-
-		fill = '<v:fill src="' + image.src + '" type="frame" />';
-		foot = (iradius>0?'</v:roundrect>':'</v:rect>');
-        end = '</v:group>';
-
-		soft = ''; shadow = ''; lt = ''; left = ''; top = ''; bottom = ''; right = '';
-
-iradius=28;
-ishadow=33 ;
-ishade=75;
-inverse=0;
-
-radius="30%";
-offset=14;
-maxdim = Math.min(_Width,_Height)/2;
-
-if(iradius<=0) {
-	
-	if (ishadow>0) {
-		if(inverse<=0) {
-			ishadow = ishadow/50; offset = 8; inset = 4;
-			soft = '<v:rect strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0 ;width:' + width + 'px;height:' + height + 'px;"><v:fill color="#ffffff" opacity="0.0" /></v:rect><v:rect strokeweight="0" filled="t" stroked="f" fillcolor="#000000" style="filter:Alpha(opacity=' + (ishadow*64) + '), progid:dxImageTransform.Microsoft.Blur(PixelRadius=' + inset + ', MakeShadow=false); zoom:1;margin:-1px 0 0 -1px;padding: 0;display:block;position:absolute;top:' + inset + 'px;left:' + inset + 'px;width:' + (width-(3*inset)) + 'px;height:' + (height-(3*inset)) + 'px;"><v:fill color="#000000" opacity="1" /></v:rect>';
-					head = '<v:rect strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0 ;width:' + (width-offset) + 'px;height:' + (height-offset) + 'px;">';
-				}else if(inverse>0) {
-					ishadow = ishadow/50; iradius = 12; linear = "linear";
-					head = '<v:rect filled="t" stroked="t" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0; width:' + width + 'px;height:' + height + 'px;">';
-					shadow = '<v:stroke weight="0.5" opacity="'+(ishadow/2)+'" color="#000000" />';
-					top = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + width + ',' + iradius + '" path="m 0,0 l '+width+',0,'+width+','+iradius+','+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + width + 'px; height:' + iradius + 'px;"><v:fill method="' + linear + '" type="gradient" angle="0" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishadow + '" /></v:shape>'; 
-					left = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + iradius + ',' + height + '" path="m 0,0 l 0,'+height+','+iradius+','+height+','+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + iradius + 'px; height:' + height + 'px;"><v:fill method="' + linear + '" type="gradient" angle="90" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishadow + '" /></v:shape>';
-				}
-			}else {
-				head = '<v:rect strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="margin:-1px 0 0 -1px;padding:0;display:' + display + ';width:' + width + 'px;height:' + height + 'px;">';
-			}
-			if(ishade>0) {
-				ishade = ishade/50; iradius = 12;
-				top = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" coordorigin="0,0" coordsize="' + (width-offset) + ',' + iradius + '" path="m 0,0 l '+(width-offset)+',0,'+(width-offset)+','+iradius+','+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + (width-offset) + 'px; height:' + iradius + 'px;"><v:fill method="linear" type="gradient" angle="0" color="#ffffff" opacity="0" color2="#ffffff" o:opacity2="' + ishade + '" /></v:shape>'; 
-
-				left = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" coordorigin="0,0" coordsize="' + iradius + ',' + (height-offset) + '" path="m 0,0 l 0,'+(height-offset)+','+iradius+','+(height-offset)+','+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + iradius + 'px; height:' + (height-offset) + 'px;"><v:fill method="linear" type="gradient" angle="90" color="#ffffff" opacity="0" color2="#ffffff" o:opacity2="' + ishade + '" /></v:shape>';
-
-				bottom = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + (width-offset) + ',' + iradius + '" path="m 0,'+iradius+' l '+(width-offset)+','+iradius+','+(width-offset-iradius)+',0,'+iradius+',0 x e" style="position:absolute; margin: 0; top:' + (height-offset-iradius) + 'px; left: 0px; width:' + (width-offset) + 'px; height:' + iradius + 'px;"><v:fill method="linear" type="gradient" angle="180" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishade + '" /></v:shape>';
-
-				right = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + iradius + ',' + (height-offset) + '" path="m '+iradius+',0 l '+iradius+','+(height-offset)+',0,'+(height-offset-iradius)+',0,'+iradius+' x e" style="position:absolute; margin: 0; top: 0px; left:' + (width-offset-iradius) + 'px; width:' + iradius + 'px; height:' + (height-offset) + 'px;"><v:fill method="linear" type="gradient" angle="270" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishade + '" /></v:shape>';
-
-			}
-		
-		} else {
-			if(ishadow>0) {
-				linear = "linear sigma"; pos = 2;
-				if(inverse<=0) {
-					ishadow = ishadow/50; inset = Math.round(offset*0.5);
-					soft = '<v:rect strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0 ;width:' + width + 'px;height:' + height + 'px;"><v:fill color="#ffffff" opacity="0.0" /></v:rect><v:roundrect arcsize="' + (radius+inset) + '" strokeweight="0" filled="t" stroked="f" fillcolor="#000000" style="filter:Alpha(opacity=' + (ishadow*64) + '), progid:dxImageTransform.Microsoft.Blur(PixelRadius=' + inset + ', MakeShadow=false); zoom:1;margin:-1px 0 0 -1px;padding: 0;display:block;position:absolute;top:' + inset + 'px;left:' + inset + 'px;width:' + (width-(3*inset)) + 'px;height:' + (height-(3*inset)) + 'px;"><v:fill color="#000000" opacity="1" /></v:roundrect>';
-					head = '<v:roundrect arcsize="' + radius + '" strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0; width:' + (width-offset) + 'px;height:' + (height-offset) + 'px;">';
-				}else if(inverse>0) {
-					ishadow = ishadow/50;
-					head = '<v:roundrect arcsize="' + radius + '" filled="t" stroked="t" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0; width:' + width + 'px;height:' + height + 'px;">';
-					shadow = '<v:stroke weight="0.5" opacity="'+(ishadow/2)+'" color="#000000" />';
-					top = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + width + ',' + iradius + '" path="m '+iradius+','+iradius+' l '+width+','+iradius+' qy '+(width-iradius)+',0 l '+iradius+',0 x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: -1px; width:' + (width+1) + 'px; height:' + iradius + 'px;"><v:fill method="' + linear + '" type="gradient" angle="0" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishadow + '" /></v:shape>'; 
-					left = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + iradius + ',' + height + '" path="m 0,'+iradius+' l 0,'+(height-iradius)+' qy '+iradius+','+height+' l '+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: -1px; left: 0px; width:' + iradius + 'px; height:' + (height+1) + 'px;"><v:fill method="' + linear + '" type="gradient" angle="90" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishadow + '" /></v:shape>';
-					lt = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#000000" coordorigin="0,0" coordsize="' + iradius + ',' + iradius + '" path="m '+iradius+','+iradius+' l 0,'+iradius+' qy '+iradius+',0 l '+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + iradius + 'px; height:' + iradius + 'px;"><v:fill method="' + linear + '" focus="1" focusposition="1,1" focussize="0.5,0.5" type="gradientradial" color="#000000" opacity="0" color2="#000000" o:opacity2="' + ishadow + '" /></v:shape>';
-				}
-			}else {
-				pos = 1; offset = 0;
-				head = '<v:roundrect arcsize="' + radius + '" strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" style="position:absolute; margin:-1px 0 0 -1px;padding:0; width:' + width + 'px;height:' + height + 'px;">';
-			}
-			if(ishade>0) {
-				ishade = ishade/50; linear = "linear";
-				top = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" coordorigin="0,0" coordsize="' + (width-offset) + ',' + iradius + '" path="m '+iradius+','+iradius+' l '+(width-offset)+','+iradius+' qy '+(width-offset-iradius)+',0 l '+iradius+',0 x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: -1px; width:' + (width-offset+pos) + 'px; height:' + iradius + 'px;"><v:fill method="' + linear + '" type="gradient" angle="0" color="#ffffff" opacity="0" color2="#ffffff" o:opacity2="' + ishade + '" /></v:shape>'; 
-				left = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" coordorigin="0,0" coordsize="' + iradius + ',' + (height-offset) + '" path="m 0,'+iradius+' l 0,'+(height-iradius-offset)+' qy '+iradius+','+(height-offset)+' l '+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: -1px; left: 0px; width:' + iradius + 'px; height:' + (height-offset+pos) + 'px;"><v:fill method="' + linear + '" type="gradient" angle="90" color="#ffffff" opacity="0" color2="#ffffff" o:opacity2="' + ishade + '" /></v:shape>';
-				lt = '<v:shape strokeweight="0" filled="t" stroked="f" fillcolor="#ffffff" coordorigin="0,0" coordsize="' + iradius + ',' + iradius + '" path="m '+iradius+','+iradius+' l 0,'+iradius+' qy '+iradius+',0 l '+iradius+','+iradius+' x e" style="position:absolute; margin: -1px 0 0 -1px; top: 0px; left: 0px; width:' + iradius + 'px; height:' + iradius + 'px;"><v:fill method="' + linear + '" focus="1" focusposition="1,1" focussize="0.5,0.5" type="gradientradial" color="#ffffff" opacity="0" color2="#ffffff" o:opacity2="' + ishade + '" /></v:shape>';
-			}
-		}
-		
-		vml.innerHTML = start + soft + head + fill + shadow + foot + right + bottom + top + left + lt + end;
-		//vml.className = newClasses;
-		vml.style.cssText = image.style.cssText;
-		vml.style.height = image.height+'px';
-		vml.style.width = image.width+'px';
-		vml.height = image.height;
-		vml.width = image.width;
-		vml.src = image.src; 
-        vml.alt = image.alt;
-
-
-    //    object.replaceChild(vml,image);
-
-//  object.appendChild(vml);
-  
- // object.removeChild(image);
-
-
-}
-
-//====================================================================================
-function getImages(className){
-	var children = document.getElementsByTagName('img'); 
-	var elements = new Array(); var i = 0;
-	var child; var classNames; var j = 0;
-	for (i=0;i<children.length;i++) {
-		child = children[i];
-		classNames = child.className.split(' ');
-		for (  j = 0; j < classNames.length; j++) {
-			if (classNames[j] == className) {
-				elements.push(child);
-				break;
-			}
-		}
-	}
-	return elements;
-}
-//================================ Excanvas ==========================================
+         }
+
+         if (typeof (window.previous_onresize) == 'function') { window.previous_onresize(); }
+         nangle = old_angle
+         if (old_handle) toggleAnimation()
+
+     }
+     //=======================================================================================
+
+     function aff_filter(obj, sizeShadow) {
+     if (!obj) return ;
+
+         if (typeof obj == "string") var s = document.getElementById(obj).style;
+         else var s = obj.style;
+         Blur = 0;
+         ShadowColor = 0;
+         Horizontal = sizeShadow[0];
+         Vertical = sizeShadow[1];
+         if (sizeShadow.length > 2) Blur = sizeShadow[2]; //radius
+         if (sizeShadow.length > 3) ShadowColor = translateColor(sizeShadow[3]);
+
+
+         direction = 180 - Math.atan((parseInt(Horizontal)) / (parseInt(Vertical))) * 180 / Math.PI;
+         Strength = parseInt(Blur);
+         couleur = ShadowColor;
+
+         obj.style.filter = "progid:DXImageTransform.Microsoft.Shadow(color =" + couleur + ",Direction =" + direction + ",Strength = " + Strength + ") ";
+
+
+
+
+
+         return;
+
+     }
+
      function hasSilverlight() {
          try {
